Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MixedInMetaClass

- org.codehaus.groovy.runtime.metaclass.MixedInMetaClass

- Authors:
    Alex Tkachman

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MixedInMetaClass (Object instance, Object owner)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected Object` | `getOwner()`
    `protected MetaClass` | `getOwnerMetaClass(Object owner)`
    `Object` | `invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class OwnedMetaClass` | `equals, getAttribute, getAttribute, getClassNode, getMetaMethod, getMetaMethod, getMetaMethods, getMetaProperty, getMethods, getOwner, getOwnerMetaClass, getProperties, getProperty, getProperty, getStaticMetaMethod, getStaticMetaMethod, getTheClass, hasProperty, hashCode, invokeConstructor, invokeMethod, invokeMethod, invokeMethod, invokeMissingMethod, invokeMissingProperty, invokeStaticMethod, isGroovyObject, respondsTo, respondsTo, selectConstructorAndTransformArguments, setAttribute, setAttribute, setProperty, setProperty, toString`
    `class DelegatingMetaClass` | `hasProperty, setMetaClass, getMetaClass, getTheClass, pickMethod, getMetaProperty, getStaticMetaMethod, getStaticMetaMethod, invokeConstructor, invokeStaticMethod, getMetaMethod, getClassNode, respondsTo, respondsTo, invokeMissingMethod, invokeMissingProperty, getMetaMethods, selectConstructorAndTransformArguments, addNewInstanceMethod, addNewStaticMethod, addMetaBeanProperty, isModified, getAdaptee, setAdaptee, isGroovyObject, addMetaMethod, setAttribute, setAttribute, getAttribute, getAttribute, invokeMethod, invokeMethod, invokeMethod, invokeMethod, setProperty, setProperty, setProperty, getProperty, getProperty, getProperty, equals, toString, hashCode, getMethods, getProperties, initialize, wait, wait, wait, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public MixedInMetaClass(Object instance, Object owner)

  - ### Method Detail

    - #### protected Object getOwner()

    - #### protected MetaClass getOwnerMetaClass(Object owner)

    - #### public Object invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)